Get a recipient - Karat Help Center

Get a recipient

cURL

curl --request GET \
  --url https://payouts.api.trykarat.com/recipients/{recipient_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://payouts.api.trykarat.com/recipients/{recipient_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://payouts.api.trykarat.com/recipients/{recipient_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response Codes

Example Responses

Success response:

{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "jsmith@example.com",
    "nickname": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "onboardingUrl": "<string>"
  }
}

Error response:

{
  "error": {
    "message": "Invalid api key"
  }
}

Another error response:

{
  "error": {
    "message": "Payment intent not found"
  }
}

Authorizations

Pass your API key as a bearer token: Authorization: Bearer <API_KEY>.

Path Parameters

The ID of the recipient.

Response Format

The recipient data.